# Method: networks.vehicles.get

Gets the details of a Vehicle.

### HTTP request

`GET https://middlemileoptimization.googleapis.com/v1/{name=networks/*/vehicles/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The name of the vehicle to retrieve. Format: "networks/{network}/vehicles/{vehicle}" |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/optimization/middlemileoptimization/reference/rest/v1/networks.vehicles#Vehicle`.